# slurmd

Section: Slurm Daemon (8)
Updated: Slurm Daemon
Index

## NAME

slurmd - The compute node daemon for Slurm.

## SYNOPSIS

slurmd [OPTIONS...]

## DESCRIPTION

slurmd is the compute node daemon of Slurm. It monitors all tasks running on the compute node , accepts work (tasks), launches tasks, and kills running tasks upon request.

OPTIONS
-c
  Clear system locks as needed. This may be required if slurmd terminated abnormally.

-C
  Print actual hardware configuration and exit. The format of output is the same as used in slurm.conf to describe a node's configuration plus it's uptime.

-d <file>
  Specify the fully qualified pathname to the slurmstepd program to be used for shepherding user job steps. This can be useful for testing purposes.
-D
  Run slurmd in the foreground. Error and debug messages will be copied to stderr.
-f <file>
  Read configuration from the specified file. See NOTES below.
-h
  Help; print a brief summary of command options.
-L <file>
  Write log messages to the specified file.
-M
  Lock slurmd pages into system memory using mlockall (2) to disable paging of the slurmd process. This may help in cases where nodes are marked DOWN during periods of heavy swap activity. If the mlockall (2) system call is not available, an error will be printed to the log and slurmd will continue as normal.

-n <value>
  Set the daemon's nice value to the specified value, typically a negative number. Also note the PropagatePrioProcess configuration parameter.

-N <hostname>
  Run the daemon with the given hostname. Used to emulate a larger system with more than one slurmd daemon per node. Requires that Slurm be built using the --enable-multiple-slurmd configure option.

-v
  Verbose operation. Multiple -v's increase verbosity.
-V
  Print version information and exit.

## ENVIRONMENT VARIABLES

The following environment variables can be used to override settings compiled into slurmd.

SLURM_CONF
  The location of the Slurm configuration file. This is overridden by explicitly naming a configuration file on the command line.

## CORE FILE LOCATION

If slurmd is started with the -D option then the core file will be written to the current working directory. Otherwise if SlurmdLogFile is a fully qualified path name (starting with a slash), the core file will be written to the same directory as the log file. Otherwise the core file will be written to the SlurmSpoolDir directory, or "/var/tmp/" as a last resort. If none of the above directories can be written, no core file will be produced.

## NOTES

It may be useful to experiment with different slurmd specific configuration parameters using a distinct configuration file (e.g. timeouts). However, this special configuration file will not be used by the slurmctld daemon or the Slurm programs, unless you specifically tell each of them to use it. If you desire changing communication ports, the location of the temporary file system, or other parameters used by other Slurm components, change the common configuration file, slurm.conf.

## COPYING

Copyright (C) 2002-2007 The Regents of the University of California. Copyright (C) 2008-2010 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of Slurm, a resource management program. For details, see <http://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## FILES

/etc/slurm.conf

## SEE ALSO

slurm.conf(5), slurmctld(8)

## Index

NAME
SYNOPSIS
DESCRIPTION
ENVIRONMENT VARIABLES
CORE FILE LOCATION
NOTES
COPYING
FILES
SEE ALSO

This document was created by man2html using the manual pages.
Time: 15:57:45 GMT, August 25, 2015